org.apache.tinkerpop.gremlin.jsr223

## Class BindingsGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.jsr223.BindingsGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

      public class BindingsGremlinPlugin
      extends AbstractGremlinPlugin

  A plugin that allows `Bindings` to be applied to a `GremlinScriptEngine` at the time of creation. `Bindings` defined with this plugin will always be assigned as `ScriptContext.GLOBAL_SCOPE` and as such will be visible to all `GremlinScriptEngine` instances.

  Note that bindings are applied in the order in which the `BindingsGremlinPlugin` instances are added to the `GremlinScriptEngineManager`. Therefore if there are two plugins added and both include a variable called "x" then the value of "x" will be the equal to the value provided by the second plugin that overrides the first.

  This `GremlinPlugin` is not enabled for the `ServiceLoader`. It is designed to be instantiated manually.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BindingsGremlinPlugin.Builder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `appliesTo, customizers, moduleName`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BindingsGremlinPlugin.Builder` | `build()` Builds a set of static bindings.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `getCustomizers, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinPlugin

      `getCustomizers, requireRestart`

- - ### Method Detail

    - #### build

          public static BindingsGremlinPlugin.Builder build()

      Builds a set of static bindings.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.